View Issue Details

IDProjectCategoryView StatusLast Update
0018870LazarusLCLpublic2011-04-29 11:36
ReporterPatrick ChevalleyAssigned ToPaul Ishenin 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.29 (SVN)Product Build 
Target VersionFixed in Version0.9.31 (SVN) 
Summary0018870: No printer dialog work on Win64
DescriptionNone of the printer dialog (PrintDialog, PrinterSetupDialog, PageSetupDialog) work on Windows 7 64 bit.
No error message is show but the function is not executed.

It failed in winprndialogs.inc because the following functions return False:
PageSetupDialog failed at line 72: if PageSetupDialog(lpp) then begin
PrinterSetupDialog failed at line 146: if PrintDlg(lpp) then
PrintDialog failed at line 243: if PrintDlg(lpp) then

To reproduce just put one of this dialogs to a Form and call Execute method.
Or try File / Print in Lazarus menu.
TagsNo tags attached.
Fixed in Revision30284
LazTarget0.99.0
WidgetsetWin32/Win64
Attached Files

Activities

Paul Ishenin

2011-04-13 11:32

manager   ~0047454

Please test and close if ok.

Issue History

Date Modified Username Field Change
2011-03-05 15:09 Patrick Chevalley New Issue
2011-03-05 15:09 Patrick Chevalley Widgetset => Win32/Win64
2011-03-30 22:38 Vincent Snijders LazTarget => 1.0
2011-03-30 22:38 Vincent Snijders Status new => acknowledged
2011-03-30 22:38 Vincent Snijders Target Version => 1.0.0
2011-04-04 05:35 Paul Ishenin LazTarget 1.0 => 0.99.0
2011-04-04 05:38 Paul Ishenin Target Version 1.0.0 => 0.99.0
2011-04-13 11:32 Paul Ishenin Fixed in Revision => 30284
2011-04-13 11:32 Paul Ishenin Status acknowledged => resolved
2011-04-13 11:32 Paul Ishenin Fixed in Version => 0.9.31 (SVN)
2011-04-13 11:32 Paul Ishenin Resolution open => fixed
2011-04-13 11:32 Paul Ishenin Assigned To => Paul Ishenin
2011-04-13 11:32 Paul Ishenin Note Added: 0047454
2011-04-29 11:36 Patrick Chevalley Status resolved => closed